/*
 * Instantlauncher. Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.instantlauncher;

import eu.svjatoslav.commons.gui.dialog.ExceptionDialog;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.IOException;

public class Utils {

    private static final String FILE_INDICATOR = "{file}";

    public static void setComponentSize(JComponent component, Dimension size) {
        component.setMinimumSize(size);
        component.setMaximumSize(size);
        component.setSize(size);
        component.setPreferredSize(size);
    }

    public static void runOpeningApplication(String commands, final File file) {
        try {
            String[] commandsArray = commands.split("\\s+");
            for (int i=0; i< commandsArray.length; i++)
                commandsArray[i] = commandsArray[i].replaceAll("\\{file\\}", file.getAbsolutePath());

            Runtime.getRuntime().exec(commandsArray);
        } catch (final IOException e) {
            new ExceptionDialog(e);
        }
    }

    public static void executeCommand(String... c) {
        try {
            Runtime.getRuntime().exec(c);
        } catch (final IOException e) {
            new ExceptionDialog(e);
        }
    }


}
